import { $postParam, $post } from "@/plugins/axios";

export const semesterQuery = datas => {
  return $postParam("/api/exam_semester/list", datas);
};
export const ecsExamQuery = () => {
  return $postParam("/api/cloud_marking_exam/list", {});
};
export const ecsExamSync = () => {
  return $postParam("/api/cloud_marking_exam/sync", {});
};
export const examTypeQuery = datas => {
  return $postParam("/api/exam_type/list", datas);
};
// user --------------------------------->
// user-manage
export const userListPage = datas => {
  return $postParam("/api/sys_user/page", datas);
};
export const updateUser = datas => {
  return $post("/api/sys_user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/sys_user/enable", { id, enable });
};
export const resetPwd = id => {
  return $post("/api/sys_user/reset_password", { id });
};
export const userRoleListPage = () => {
  return $postParam("/api/sys_role/list", {});
};

// semester-manage
export const semesterListQuery = datas => {
  return $postParam("/api/exam_semester/page", datas);
};
export const deleteSemester = id => {
  return $postParam("/api/exam_semester/delete", { id });
};
export const updateSemester = datas => {
  return $post("/api/exam_semester/save", datas);
};
// no user
export const semesterSetInUsed = id => {
  return $postParam("/api/exam_semester/set_in_used", { id });
};

// exam-type-manage
export const examTypeListQuery = datas => {
  return $postParam("/api/exam_type/page", datas);
};
export const deleteExamType = id => {
  return $postParam("/api/exam_type/delete", {
    id
  });
};
export const updateExamType = datas => {
  return $post("/api/exam_type/save", datas);
};
// setting --------------------------------->
// time-task
export const timeTaskList = datas => {
  return $postParam("/api/exam_schedule_task/page", datas);
};
export const updateTimeTask = datas => {
  return $post("/api/exam_schedule_task/save", datas);
};

// business-data
export const businessDataList = datas => {
  return $postParam("/api/exam_sync_total/page", datas);
};
export const manualSync = () => {
  return $postParam("/api/exam_sync_total/manual_sync", {});
};
export const downloadBusinessData = (id, writeLog) => {
  return $postParam(
    "/api/exam_sync_total/download",
    { id, writeLog },
    {
      responseType: "blob"
    }
  );
};
export const useSceneList = datas => {
  return $postParam("/api/exam_download_record/list_use_scene", datas);
};
// download-manage
export const downloadList = datas => {
  return $postParam("/api/exam_download_record/page", datas);
};
export const signPurpose = datas => {
  return $postParam("/api/exam_download_record/used", datas);
};
// ecs-data-manage
export const ecsDataList = datas => {
  return $postParam("/api/cloud_marking_score/page", datas);
};
export const syncEcsData = datas => {
  return $postParam("/api/cloud_marking_score/sync_student_score", datas);
};

// common
export const uploadFile = datas => {
  return $post("/api/admin/common/file/upload", datas);
};
export const getCode = type => {
  return $postParam("/api/admin/common/get_code", { type });
};
